=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=downloadurlmangle=s|//code.google.com|| \
http://code.google.com/p/bedtools/downloads/list //bedtools.googlecode.com/files/BEDTools.v(.*).tar.gz
