=== debian/changelog ===
bedtools (2.20.1-1) unstable; urgency=medium

  * New upstream version
  * Fix permission of some genome example files

 -- Andreas Tille <tille@debian.org>  Fri, 06 Jun 2014 21:50:39 +0200

bedtools (2.19.1-2) unstable; urgency=medium

  * debian/tests/control: Add "Depends: @, samtools" as advised in
    #747337
  * debian/tests/upstream: Use content from bedtools-test package to
    actually run the test suite
    Closes: #747337
  * debian/rules: Use dh to easily enable unit tests at package build
    time
  * Build-Depends: samtools to run the full test suite

 -- Andreas Tille <tille@debian.org>  Fri, 09 May 2014 09:48:05 +0200

bedtools (2.19.1-1) unstable; urgency=medium

  479e63b Merge tag 'v2.19.1' into debian/unstable

  [ Charles Plessy ]
  93a7cf1 Create autopkgtest testsuite and a new package bedtools-test.
  46183f8 debian/copyright: update path, correct license short name.
  4fd441a debian/rules: removed obsolete exception of compression.

  [ James McCoy ]
  b4fa8e1 Move debian/upstream to debian/upstream/metadata

 -- Charles Plessy <plessy@debian.org>  Fri, 21 Mar 2014 14:51:44 +0900

bedtools (2.19.0-1) unstable; urgency=low

  e07e70c Imported Upstream version 2.19.0
  afdc61a Watch GitHub at https://github.com/arq5x/bedtools2.
  4abe14e Source control file normalised with config-model-edit.
  0518353 Corrected a typo in the long description. (Closes: #714873)
  f63d85e Follow the layout of the upstream repository.
  c25f9e5 Correct name of README file in debian/docs.
  5561c7c Emulate source format 1.0 in the format 3.0 (quilt).
  a45a0ab Canonical VCS URLs.
  4459dfe Conforms with Policy 3.9.5.

 -- Charles Plessy <plessy@debian.org>  Sat, 15 Feb 2014 19:39:23 +0900
