=== src/bedpeToBam/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
            -I$(UTILITIES_DIR)/bedFilePE/ \
            -I$(UTILITIES_DIR)/version/ \
            -I$(UTILITIES_DIR)/gzstream/ \
-           -I$(UTILITIES_DIR)/genomeFile/ \
+           -I$(UTILITIES_DIR)/GenomeFile/ \
            -I$(UTILITIES_DIR)/lineFileUtilities/ \
            -I$(UTILITIES_DIR)/fileType/ \
            -I$(UTILITIES_DIR)/BamTools/include \
