=== src/complementBed/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # define our includes
 # -------------------
 INCLUDES = -I$(UTILITIES_DIR)/bedFile/ \
-           -I$(UTILITIES_DIR)/genomeFile/ \
+           -I$(UTILITIES_DIR)/GenomeFile/ \
            -I$(UTILITIES_DIR)/lineFileUtilities/ \
            -I$(UTILITIES_DIR)/gzstream/ \
            -I$(UTILITIES_DIR)/fileType/ \
