=== debian/changelog ===
bedtools (2.21.0-1) unstable; urgency=medium

  856a5fd Merge tag 'v2.21.0' into debian/unstable
  a4f6ab7 Merge corrections on version number.

 -- Charles Plessy <plessy@debian.org>  Tue, 23 Sep 2014 18:48:17 +0900
